Foreman - Bug #5690

Taxonomy fact name not retrieved from settings
05/13/2014 12:33 PM - Stephen Benjamin

Status: Closed

Priority: Normal

Assignee: Stephen Benjamin

Category: Facts

Target version: 1.5.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1107695 Red Hat JIRA:

Pull request:

Description

In app/models/host/base.rb:

taxonomy_from_fact = taxonomy_class.find _by_title(facts["#{taxonomy}_fact"])
should be
taxonomy_from_fact = taxonomy_class.find _by_title(facts[Setting["#{taxonomy}_fact"]])

Related issues:
Related to Foreman - Bug #3214: No location / Organization if host added by d... Closed 10/08/2013
Has duplicate Foreman - Bug #5699: The "location_fact" setting does not actua... Duplicate 05/13/2014

Associated revisions

Revision ea450c06 - 05/19/2014 10:02 AM - Stephen Benjamin

fixes #5690 - determine host taxonomy fact based on setting value

Revision 91681976 - 06/11/2014 01:02 PM - Stephen Benjamin

fixes #5690 - determine host taxonomy fact based on setting value

(cherry picked from commit ea450c06aba11e03e6a5a926950b8c0cff1b8f2c)

History

#1 - 05/13/2014 12:33 PM - Dominic Cleal

- translation missing: en.field_release set to 16

#2 - 05/13/2014 12:34 PM - Dominic Cleal
- Related to Bug #3214: No location / Organization if host added by default from puppet run added

#3 - 05/13/2014 03:12 PM - Stephen Benjamin
PR https:/github.com/theforeman/foreman/pull/1446

#4 - 05/13/2014 03:12 PM - Stephen Benjamin
- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

#5 - 05/13/2014 03:17 PM - Dominic Cleal

- Target version set to 1.8.3

#6 - 05/14/2014 08:19 AM - Dominic Cleal

- Has duplicate Bug #5699: The "location_fact" setting does not actually look for a custom fact added
https://github.com/theforeman/foreman/pull/1446

#7 - 05/19/2014 10:31 AM - Stephen Benjamin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ea450c06abal1e03e6a5a926950b8c0cff1b8f2c.

#8 - 06/10/2014 12:51 PM - Bryan Kearney
- Bugzilla link set to https.//bugzilla.redhat.com/show_bug.cgi?id=1107695
